# Uses of Class
org.eclipse.jface.viewers.CheckStateChangedEvent

Packages that use CheckStateChangedEvent
Package
Description
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.

## Uses of CheckStateChangedEvent in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers with parameters of type CheckStateChangedEvent
Modifier and Type
Method
Description
`void`
ICheckStateListener.`checkStateChanged(CheckStateChangedEvent event)`
Notifies of a change to the checked state of an element.
`protected void`
CheckboxTreeViewer.`fireCheckStateChanged(CheckStateChangedEvent event)`
Notifies any check state listeners that the check state of an element has changed.

## Uses of CheckStateChangedEvent in org.eclipse.ui.dialogs

Methods in org.eclipse.ui.dialogs with parameters of type CheckStateChangedEvent
Modifier and Type
Method
Description
`void`
ResourceSelectionDialog.`checkStateChanged(CheckStateChangedEvent event)`